MFP(4)

NAME
mfp - X68K Multi-function Peripherals

SYNOPSIS
mfp0 at intio0 addr 0xe88000 size 0x2000 intr 64

DESCRIPTION
mfp drives Motorola MC68901 MFP (Multi-function Peripheral). mfp driver is always required to run the NetBSD/x68k kernel, because it is connected to important devices such as the display controller, and provides fundamental functions like the system clock tick and interrupt controller. Since mfp provides many functions, most of the jobs as a device driver is done by its child drivers such as kbd(4) and clock(4). mfp driver itself only provides the common way to access its registers and a few utility functions for other non-child drivers.

SEE ALSO
clock(4), intro(4), kbd(4)

BUGS
Machine-dependent part and machine-independent part should be split.